websocket-sharp DefaultConstructorConstraint WebSocketSharp.Server.WebSocketService WebSocketSharp.Server.WebSocketServerBase WebSocketSharp.Server.IServiceHost The type of the WebSocket service that the server provides. The T must inherit the class. Provides the functions of the server that receives the WebSocket connection requests. The WebSocketServiceHost<T> class provides the single WebSocket service.
- Constructor
  An that contains a port number.
  Initializes a new instance of the WebSocketServiceHost<T> class that listens for incoming connection attempts on the specified .
  To be added.
- Constructor
  A that contains a WebSocket URL.
  Initializes a new instance of the WebSocketServiceHost<T> class that listens for incoming connection attempts on the specified WebSocket URL.
  To be added.
- Constructor
  An that contains a port number.
  A that indicates providing a secure connection or not. (true indicates providing a secure connection.)
  Initializes a new instance of the WebSocketServiceHost<T> class that listens for incoming connection attempts on the specified and .
  To be added.
- Constructor
  An that contains a port number.
  A that contains an absolute path.
  Initializes a new instance of the WebSocketServiceHost<T> class that listens for incoming connection attempts on the specified and .
  To be added.
- Constructor
  An that contains a port number.
  A that contains an absolute path.
  A that indicates providing a secure connection or not. (true indicates providing a secure connection.)
  Initializes a new instance of the WebSocketServiceHost<T> class that listens for incoming connection attempts on the specified , and .
  To be added.
- Constructor
  A that contains a local IP address.
  An that contains a port number.
  A that contains an absolute path.
  Initializes a new instance of the WebSocketServiceHost<T> class that listens for incoming connection attempts on the specified , and .
  To be added.
- Constructor
  A that contains a local IP address.
  An that contains a port number.
  A that contains an absolute path.
  A that indicates providing a secure connection or not. (true indicates providing a secure connection.)
  Initializes a new instance of the WebSocketServiceHost<T> class that listens for incoming connection attempts on the specified , , and .
  To be added.
- Method
  System.Void `` A that contains the WebSocket connection request objects. Accepts a WebSocket connection request. To be added.
- Method
  System.Void `` A to broadcast. Broadcasts the specified to all clients. To be added.
- Method
  System.Collections.Generic.Dictionary<System.String,System.Boolean> `` A that contains a message. Pings with the specified to all clients. A Dictionary<string, bool> that contains the collection of session IDs and values indicating whether the server received the Pongs from each clients in a time. To be added.
- Method
  System.Void Stops receiving the WebSocket connection requests. To be added.
- Property
  System.Boolean Gets or sets a value indicating whether the server cleans up the inactive clients periodically. true if the server cleans up the inactive clients every 60 seconds; otherwise, false. The default value is true. To be added.
- Property
  System.Uri Gets the WebSocket URL on which to listen for incoming connection attempts. A that contains a WebSocket URL. To be added.
- Method
  System.Void `` A that contains the WebSocket connection request objects to bind. Binds the specified to a instance. To be added.